package com.bankaudit.report.v1.dao;

import java.util.List;

import com.bankaudit.model.ActivityProcessFindingMapping;
import com.bankaudit.model.MaintAuditActivity;
import com.bankaudit.model.MaintAuditFinding;
import com.bankaudit.model.MaintAuditGroup;
import com.bankaudit.model.MaintAuditProcess;
import com.bankaudit.model.MaintAuditSubgroup;
import com.bankaudit.report.v1.dto.ChapterDto;
import com.bankaudit.report.v1.dto.CheckListDto;
import com.bankaudit.report.v1.dto.ProcessDto;
import com.bankaudit.report.v1.dto.ProductDto;
import com.bankaudit.report.v1.dto.SectionDto;

public interface AuditBookReportDao {
 	 
	
	List<ChapterDto> getChapter(Integer legalEntityCode, String auditId);	
	List<SectionDto> getSection(Integer legalEntityCode, String auditGroupCode);
	List<ProductDto> getProduct(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode);
	List<ProcessDto> getProcess(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode);
	List<CheckListDto> getChecklist(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode, String processCode);
	
	
	List<String> getDerivedStatementForChapter(Integer legalEntityCode, String groupSequence);
	List<String> getDerivedStatementForSection(Integer legalEntityCode, String groupSequence, String subGroupSequence);
	List<String> getDerivedStatementForProduct(Integer legalEntityCode, String groupSequence, String subGroupSequence, String activitySequence);
	  
	List<String> getStaticContentForChapter(Integer legalEntityCode, String auditGroupCode, String reportLanguage);
	List<String> getStaticContentForSection(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String reportLanguage);
	List<String> getStaticContentForProduct(Integer legalEntityCode, String auditGroupCode, String auditSubGroupCode, String activityCode, String reportLanguage);
	
	/*List<MaintAuditSubgroup> getSection(String auditGroupCode);	
	MaintAuditGroup getChapterByAuditGroupCode(String auditGroupCode);
	MaintAuditSubgroup getSectionByAuditSubGroupCode(String auditSubGroupCode);
	MaintAuditActivity getProductByAuditActivityId(String activityId);
	MaintAuditProcess getProcessByAuditProcessId(String processId);
	MaintAuditFinding getChecklistByAuditFindingId(String findingId);*/
	
	
	
}
